Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.

From: Maxime Devos <[email-masked]>
Date: Fri, 10 Sep 2021 18:26:35 +0200

Hi,

Vivien Kraus schreef op vr 10-09-2021 om 14:46 [+0200]:
> > Maybe replace ‘realistic trains’ -> ‘realistic train system’,
> I’m not sure. Upstream really likes to use "train" as a general term,
> like in share/minetest/mods/advtrains/modpack.conf, the official
> description, the wiki, ... so I think it’s better to use that.
> 
Ok.

> > I think a linter will have something to say about long lines here
> > (try "./pre-inst-env guix lint minetest-advtrains minetest-basic-
> > trains").
> You’re right, I fixed the long lines and other warnings. However, I
> don’t know how to fix "no updater for minetest-xxx" for both minetest-
> advtrains and minetest-basic-trains. I can’t see a meaningful
> difference between my packages and the others.

There is no updater for mods from ContentDB at the moment, so this is
expected.  There's a patch series for allowing updating git-fetch
origins: <https://issues.guix.gnu.org/50072#0>.  Once (the final version of)
that patch series is merged, it should be feasible to add an updater
for mods from ContentDB.

Greetings,
Maxime.